"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../constants");
const activity_1 = require("./activity");
/**
 * Describes a BPMN UserTask.
 *
 * A user task will hold the current execution of the process and wait for user input
 * before continuing.
 */
class UserTask extends activity_1.Activity {
    get bpmnType() {
        return constants_1.BpmnType.userTask;
    }
}
exports.UserTask = UserTask;
/**
 * Describes a BPMN FormField.
 * A FormField is part of a UserTask and can contain all kinds of values.
 *
 * These values can then be used to finish the UserTask.
 */
class UserTaskFormField {
}
exports.UserTaskFormField = UserTaskFormField;
/**
 * Used in combination with 'enum' type UserTask FormFields,
 * this describes a single enum value of that FormField.
 */
class FormFieldEnumValue {
}
exports.FormFieldEnumValue = FormFieldEnumValue;
//# sourceMappingURL=user_task.js.map