import { BpmnType } from '../constants';
import { FlowNode } from '../base/index';
import { LaneSet, SequenceFlow } from '../process/index';
import { Activity } from './activity';
/**
 * Describes a BPMN Subprocess.
 *
 * Technically they work like normal processes, except that they exist only
 * within another process and are treated like an activity for that process.
 */
export declare class SubProcess extends Activity {
    readonly bpmnType: BpmnType;
    laneSet?: LaneSet;
    flowNodes: Array<FlowNode>;
    sequenceFlows: Array<SequenceFlow>;
}
