import { BaseElement, FlowNode } from './base/index';
import { LaneSet, SequenceFlow } from './process/index';
/**
 * Describes a BPMN Process.
 * Any and all information about FlowNodes, SequenceFlows and Lanes is
 * stored here.
 * This is the root element for working with ProcessModels.
 */
export declare class Process extends BaseElement {
    name: string;
    isExecutable: boolean;
    laneSet?: LaneSet;
    flowNodes: Array<FlowNode>;
    sequenceFlows: Array<SequenceFlow>;
}
